#
# spec file for package python-autobahn
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} %{!?skip_python3:python3-%{**}}}
%define oldpython python
Name:           python-autobahn
Version:        17.10.1
Release:        3.20
Summary:        WebSocket and WAMP in Python for Twisted and asyncio
License:        MIT
Group:          Development/Languages/Python
Url:            http://crossbar.io/autobahn
Source:         https://files.pythonhosted.org/packages/source/a/autobahn/autobahn-%{version}.tar.gz
# PATCH-FIX-UPSTREAM mcepl@suse.cz remove-unittest2.patch
# https://github.com/crossbario/autobahn-python/issues/1036
Patch0:         remove-unittest2.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python-trollius
Requires:       python-Twisted
Requires:       python-six
Requires:       python-txaio
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Twisted}
BuildRequires:  %{python_module six >= 1.10.0}
BuildRequires:  %{python_module txaio}
# /SECTION
%ifpython2
Requires:       %{oldpython}-trollius
%endif
%python_subpackages

%description
WebSocket allows bidirectional real-time messaging on the Web and WAMP adds
asynchronous Remote Procedure Calls and Publish & Subscribe on top of WebSocket.

%prep
%setup -q -n autobahn-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%{python_expand PYTHONPATH=. $python -m pytest autobahn}

%files %{python_files}
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Aug 10 2018 mcepl@suse.com
- Add remove-unittest2.patch which remove dependency on unittest2
  (filed upstream https://github.com/crossbario/autobahn-python/issues/1036)
* Mon Mar 12 2018 tchvatal@suse.com
- Fix python2 pulling of trollius
* Fri Mar  2 2018 avvissu@yandex.by
- Initial package
